package com.bonus.core.common.config.sys;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(
   prefix = "system.api-urls"
)
public class ThirdApiUrlProperties {
   public static final String PREFIX = "system.api-urls";
   private String apimchwxqq;
   private String apiwxqq;
   private String qyapiwxqq;
   private String apialipay;
   private String apidsalipay;
   private String dingtalkoapi;
   private String sqbapi;
   private String sqbqrapi;
   private String alismsdomain;
   private String feieapi;

   public String getApimchwxqq() {
      return this.apimchwxqq;
   }

   public String getApiwxqq() {
      return this.apiwxqq;
   }

   public String getQyapiwxqq() {
      return this.qyapiwxqq;
   }

   public String getApialipay() {
      return this.apialipay;
   }

   public String getApidsalipay() {
      return this.apidsalipay;
   }

   public String getDingtalkoapi() {
      return this.dingtalkoapi;
   }

   public String getSqbapi() {
      return this.sqbapi;
   }

   public String getSqbqrapi() {
      return this.sqbqrapi;
   }

   public String getAlismsdomain() {
      return this.alismsdomain;
   }

   public String getFeieapi() {
      return this.feieapi;
   }

   public void setApimchwxqq(final String apimchwxqq) {
      this.apimchwxqq = apimchwxqq;
   }

   public void setApiwxqq(final String apiwxqq) {
      this.apiwxqq = apiwxqq;
   }

   public void setQyapiwxqq(final String qyapiwxqq) {
      this.qyapiwxqq = qyapiwxqq;
   }

   public void setApialipay(final String apialipay) {
      this.apialipay = apialipay;
   }

   public void setApidsalipay(final String apidsalipay) {
      this.apidsalipay = apidsalipay;
   }

   public void setDingtalkoapi(final String dingtalkoapi) {
      this.dingtalkoapi = dingtalkoapi;
   }

   public void setSqbapi(final String sqbapi) {
      this.sqbapi = sqbapi;
   }

   public void setSqbqrapi(final String sqbqrapi) {
      this.sqbqrapi = sqbqrapi;
   }

   public void setAlismsdomain(final String alismsdomain) {
      this.alismsdomain = alismsdomain;
   }

   public void setFeieapi(final String feieapi) {
      this.feieapi = feieapi;
   }
}
